Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.wsrp.consumer.interceptor
Enum Status.OnFault

    java.lang.Object
      java.lang.Enum<Status.OnFault>
          com.bea.wsrp.consumer.interceptor.Status.OnFault

All Implemented Interfaces
  Serializable, Comparable<Status.OnFault>

Enclosing interface:
  Status

    public static enum Status.OnFault

extends Enum<Status.OnFault>

The possible return values for the onFault method of an interceptor.

Enum Constant Summary
`ABORT_CHAIN` Aborts executing rest of the interceptors in a chain.
`CONTINUE_CHAIN` Continues executing interceptors chain.
`HANDLED` Indicates that an interceptor has handled a fault and populated the response context with the markup for a particular portlet, and aborts executing rest of the interceptors in a chain.
`RETRY` Retries the previous WSRP operation..

Method Summary
`static Status.OnFault` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Status.OnFault[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CONTINUE_CHAIN

    public static final Status.OnFault CONTINUE_CHAIN

  Continues executing interceptors chain.

### ABORT_CHAIN

    public static final Status.OnFault ABORT_CHAIN

  Aborts executing rest of the interceptors in a chain.

### RETRY

    public static final Status.OnFault RETRY

  Retries the previous WSRP operation..

  The number of retry attempts is 1 per fault per WSRP request. This also aborts executing rest of the interceptors in a chain.

### HANDLED

    public static final Status.OnFault HANDLED

  Indicates that an interceptor has handled a fault and populated the response context with the markup for a particular portlet, and aborts executing rest of the interceptors in a chain.

Method Detail

### values

    public static final Status.OnFault[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static Status.OnFault valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.